Retrieve event catalog definitions
Retrieves event catalog definitions to access detailed information about various system events and their associated metadata. This is typically used for monitoring and analyzing events within your ONTAP environment.
HTTP method and endpoint
GET /support/ems/messages
Introduced in
ONTAP 9.6
Related ONTAP commands
-
event catalog show
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
corrective_action |
string |
query |
False |
Filter by corrective_action |
severity |
string |
query |
False |
Filter by severity |
deprecated |
boolean |
query |
False |
Filter by deprecated |
description |
string |
query |
False |
Filter by description |
snmp_trap_type |
string |
query |
False |
Filter by snmp_trap_type |
name |
string |
query |
False |
Filter by name |
filter.name |
string |
query |
False |
The filter name that applies to the query.
|
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"corrective_action": "string",
"deprecated": 1,
"description": "string",
"name": "callhome.spares.low",
"severity": "error",
"snmp_trap_type": "standard"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
983093 |
The provided filter is unknown. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
_links
| Name | Type | Description |
|---|---|---|
self |
records
| Name | Type | Description |
|---|---|---|
_links |
||
corrective_action |
string |
Corrective action |
deprecated |
boolean |
Is deprecated? |
description |
string |
Description of the event. |
name |
string |
Name of the event. |
severity |
string |
Severity |
snmp_trap_type |
string |
SNMP trap type |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |